Bug 1155829 - (openvas-gsa) Review Request: openvas-gsa - Greenbone Security Assistant (GSA) is GUI to the OpenVAS
Review Request: openvas-gsa - Greenbone Security Assistant (GSA) is GUI to th...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2014-10-22 19:58 EDT by Michal Ambroz
Modified: 2015-07-17 22:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: openvas-gsa-6.0.3-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-14 11:29:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2014-10-22 19:58:59 EDT
Hello,
Please I would like to ask you for review of a new openvas package.

SPEC: http://rebus.fedorapeople.org/SPECS/openvas-gsa.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/openvas-gsa-5.0.3-1.fc20.src.rpm

Description:
The Greenbone Security Assistant (GSA) is a lean web service offering a user
web interface for the Open Vulnerability Assessment System (OpenVAS).
The GSA uses XSL transformation style-sheets that converts OMP responses
from the OpenVAS infrastructure into presentable HTML.

Fedora Account System Username: rebus

Michal Ambroz
Comment 2 Xavier Bachelot 2014-11-06 04:50:00 EST
No formal review yet, but a couple comments :
- Summary could be : "OpenVAS graphical user interface", it seems clearer and doesn't repeat the package name. 
- The sysvinit subpackage is only relevant for EL5 and EL6. It might be better to build either sysvinit or systemd depending on the target OS. Also I think the (Build)Requires on systemd would fail on EL5/EL6 and the %{_unitdir} will be undefined.
- There's a disabled patch (Patch2).
- Typo : "# Log direcotry" --> "# Log directory".
- %{_sysconfdir}/openvas/ is not owned.
- Nitpick : Add a / at the end of the following line in the %files section to make it even more obvious it is a directory : %dir %{_localstatedir}/log/openvas
Comment 3 Xavier Bachelot 2014-11-06 10:29:13 EST
Did you try to build in mock ? The spec is missing some BuildRequires.
I added the following to have a build succeed (in an F21 chroot) :
BuildRequires:    libgcrypt-devel
BuildRequires:    libxslt-devel
BuildRequires:    libmicrohttpd-devel
BuildRequires:    doxygen
BuildRequires:    xmltoman
BuildRequires:    gpgme-devel
Comment 4 Xavier Bachelot 2014-11-06 10:36:35 EST
Relevant rpm warnings :
openvas-gsa.i686: E: missing-call-to-setgroups-before-setuid /usr/sbin/gsad
openvas-gsa.i686: W: file-not-utf8 /usr/share/doc/openvas-gsa/CHANGES
openvas-gsa.i686: W: file-not-utf8 /usr/share/doc/openvas-gsa/ChangeLog
openvas-gsa.i686: W: non-conffile-in-etc /etc/logrotate.d/openvas-gsa

It seems the disabled patch2 deals with the first rpmlint warning, but as it's not applied nor included, I can't tell for sure.
Comment 5 Michal Ambroz 2014-11-06 21:43:21 EST
SPEC: http://rebus.fedorapeople.org/SPECS/openvas-gsa.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/openvas-gsa-5.0.4-2.fc20.src.rpm

Hello Xavier,
thanks for having a look.

- removed sysvinit support
- added setgroups patch as noted by the rpmlint
- fixed encoding problems for the changelogs
- marked logrotate script as config

>- Summary could be : "OpenVAS graphical user interface",
> it seems clearer and doesn't repeat the package name.
I already renamed from greenbone-security-assistant to openvas-gsa to keep the openvas naming convention. I agree shorter name would be nice, but I believe the Greenbone deserves its name at least in the summary. That way it makes it also easier to be searched by "yum search"

>- %{_sysconfdir}/openvas/ is not owned.
It is owned by openvas-libraries, which is in the requirements of this package. This is aligned with:
http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
 
>It seems the disabled patch2 deals with the first rpmlint warning,
>but as it's not applied nor included, I can't tell for sure.
I was already trying, but didn't know the proper syntax required. Now it should be ok.
Comment 6 Michal Ambroz 2015-06-17 20:31:05 EDT
SPEC: http://rebus.fedorapeople.org/SPECS/openvas-gsa.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/openvas-gsa-6.0.3-2.fc21.src.rpm

Bump to Openvas version 8 (available in rawhide)
Comment 7 Xavier Bachelot 2015-06-23 08:45:57 EDT
openvas-gsa.i686: W: spelling-error Summary(en_US) Greenbone -> Green bone, Green-bone, Greene
openvas-gsa.i686: W: incoherent-version-in-changelog 6.0.3-1 ['6.0.3-2.fc23', '6.0.3-2']
openvas-gsa.src: W: spelling-error Summary(en_US) Greenbone -> Green bone, Green-bone, Greene
openvas-gsa.src: W: strange-permission openvas-gsa.sysconfig 0600L
openvas-gsa.src: W: strange-permission openvas-gsa.logrotate 0600L
openvas-gsa.src: W: strange-permission openvas-gsa.service 0600L
openvas-gsa.src: W: strange-permission openvas-gsa-pki.patch 0600L
openvas-gsa.src:26: W: macro-in-comment %{name}
openvas-gsa.src:55: W: macro-in-comment %patch2

- Fix the release, either in the Release macro or in the changelog.
- Fix the perms on the files used as Source (644 I guess).
- Remove everything about Patch2.
- The spelling warnings can be ignored.
Comment 8 Xavier Bachelot 2015-06-23 09:08:39 EDT
- COPYING needs to be tagged %license. EL6 and 7 don't understand %license, but that can be worked around using %{!?_licensedir:%global license %%doc}.
- The timestamp is not preserved while converting CHANGES and Changelog files to utf8. You can use touch to change the .utf8 files timestamp before moving them.
- Add a / at the end of the %{_datadir}/openvas/gsa in %files to make it more obvious its a directory.
Comment 9 Michal Ambroz 2015-06-23 22:01:03 EDT
Hello Xavier,
thank you for review.
Here is the updated SPEC/SRPM:

SPEC: http://rebus.fedorapeople.org/SPECS/openvas-gsa.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/openvas-gsa-6.0.3-3.fc21.src.rpm

Best regards
Michal Ambroz
Comment 10 Xavier Bachelot 2015-06-24 05:06:08 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /tmp/1155829
     -openvas-gsa/licensecheck.txt
[?]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/openvas,
     /usr/share/openvas
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /var/log/openvas(openvas-
     scanner, openvas-manager)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 952320 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 4638720 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openvas-gsa-6.0.3-3.fc23.i686.rpm
          openvas-gsa-6.0.3-3.fc23.src.rpm
openvas-gsa.i686: W: spelling-error Summary(en_US) Greenbone -> Green bone, Green-bone, Greene
openvas-gsa.src: W: spelling-error Summary(en_US) Greenbone -> Green bone, Green-bone, Greene
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: openvas-gsa-debuginfo-6.0.3-3.fc23.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
openvas-gsa.i686: W: spelling-error Summary(en_US) Greenbone -> Green bone, Green-bone, Greene
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
openvas-gsa (rpmlib, GLIBC filtered):
    /bin/sh
    config(openvas-gsa)
    libc.so.6
    libdl.so.2
    libexslt.so.0
    libgcrypt.so.20
    libgcrypt.so.20(GCRYPT_1.6)
    libglib-2.0.so.0
    libgnutls.so.30
    libgnutls.so.30(GNUTLS_3_4)
    libgpg-error.so.0
    libm.so.6
    libmicrohttpd.so.10
    libopenvas_base.so.8
    libopenvas_misc.so.8
    libopenvas_omp.so.8
    libpthread.so.0
    libxml2.so.2
    libxml2.so.2(LIBXML2_2.4.30)
    libxml2.so.2(LIBXML2_2.6.21)
    libxslt.so.1
    libxslt.so.1(LIBXML2_1.0.11)
    libxslt.so.1(LIBXML2_1.0.18)
    libz.so.1
    logrotate
    rtld(GNU_HASH)
    systemd



Provides
--------
openvas-gsa:
    config(openvas-gsa)
    openvas-gsa
    openvas-gsa(x86-32)



Source checksums
----------------
http://wald.intevation.org/frs/download.php/2079/greenbone-security-assistant-6.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 731f490186f917dcbacc52157e2906e66be69a20c6e69dc179d23b828413c0f3
  CHECKSUM(SHA256) upstream package : 731f490186f917dcbacc52157e2906e66be69a20c6e69dc179d23b828413c0f3


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1155829
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 11 Xavier Bachelot 2015-06-24 05:12:34 EDT
Hi Michal,

Almost everything looks clean now, thank you.
The only remaining potential issue I see is some directories ownership. iiuc, the scanner, manager and client can all be installed on different machines, so /etc/openvas and /usr/share/openvas should also be owned by the client. I ticked both the "Package must own all directories that it creates" and "Package does not own files or directories owned by other packages" for that purpose, but I guess only the former needs fixing while the later is fine. Let me know what you think. Once that is clarified, the package will be good to go.

Regards,
Xavier
Comment 12 Michal Ambroz 2015-06-24 07:18:40 EDT
Hello Xavier,
I believe we had this discussion already with some of the other packages from the suite.
Both /etc/openvas and /usr/share/openvas are already explicitly owned by the dependecy - openvas-libraries. 
http://pkgs.fedoraproject.org/cgit/openvas-libraries.git/tree/openvas-libraries.spec

As you cannot have openvas-gsa (or cli or scanner or manager) without the base libraries package, I believe this condition is already met and there is not need to own these two directories in each of the suite packages.

However I do not have any strong feelings about that. Last time we have been checking we have found examples both ways in other packages. 

We have %dir %{_sysconfdir}/openvas/ in both scanner and manager and %dir %{_datadir}/openvas in manager, so for consistency I will add it to openvas-gsa  as well.

Best regards
Michal Ambroz
Comment 13 Xavier Bachelot 2015-06-24 07:53:05 EDT
Sorry for missing the earlier comment on the directories ownership. So if openvas-libraries own them already, that is fine. Anyway, consistency is also good, so it's fine both ways, do as you prefer.

openvas-gsa is thus APPROVED.

Do you plan on adding back support for sysvinit and thus EL6 ? The other pieces are available for EL6 already (for EL5 too, but I guess supporting EL5 at this point in time isn't really useful).

Thank you,
Xavier
Comment 14 Michal Ambroz 2015-06-24 08:16:26 EDT
Yes I plan to add support for sysvinit/EL6 same as it is in the other packages,
if it is feasible to compile it there. I am not sure how well it will go with the dependencies. Primary EPEL target for now will be EPEL7.
Comment 15 Michal Ambroz 2015-06-24 08:59:12 EDT
New Package SCM Request
=======================
Package Name: openvas-gsa
Short Description: Greenbone Security Assistant (GSA) is GUI to the OpenVAS
Upstream URL: http://www.openvas.org
Owners: rebus xavierb fab huzaifas cheese sgros
Branches: f21 f22 f23 el6 epel7
Comment 16 Gwyn Ciesla 2015-06-24 14:41:11 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2015-06-29 09:09:35 EDT
openvas-gsa-6.0.3-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openvas-gsa-6.0.3-4.fc21
Comment 18 Fedora Update System 2015-06-29 09:09:42 EDT
openvas-gsa-6.0.3-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openvas-gsa-6.0.3-4.fc22
Comment 19 Fedora Update System 2015-06-29 19:59:51 EDT
openvas-gsa-6.0.3-4.fc21 has been pushed to the Fedora 21 testing repository.
Comment 20 Fedora Update System 2015-07-14 11:29:06 EDT
openvas-gsa-6.0.3-4.fc21 has been pushed to the Fedora 21 stable repository.
Comment 21 Fedora Update System 2015-07-17 22:04:46 EDT
openvas-gsa-6.0.3-4.fc22 has been pushed to the Fedora 22 stable repository.

Note You need to log in before you can comment on or make changes to this bug.